package com.yn.bftl.thirdparty.modules.unionpay.enums;

import lombok.AllArgsConstructor;

/**
 * 银联APP支付类型
 * @author huabiao
 * @create 2022/8/30  16:53
 **/
@AllArgsConstructor
public enum UnionpayAppOrderType {


    WECHAT("WECHAT", "微信"),
    ALIPAY("ALIPAY", "支付宝"),
    CHINA_UNIONPAY_QUICK_PASS("CHINA_UNIONPAY_QUICK_PASS", "云闪付"),
    POS("POS", "POS支付"),
    DEPOSIT("DEPOSIT", "余额支付");

    private final String value;
    private final String name;

    public String getValue() {
        return this.value;
    }

    public String getName() {
        return this.name;
    }
}
